# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global pythonver %(python -c "import sys; print sys.version[:3]" 2>/dev/null || echo none)
%{!?python_sitelib: %global python_sitelib %{_prefix}/lib/python%{pythonver}/site-packages}

Summary:	The "dew" theme for the moin wiki engine
Name:		moin-theme-dew
Version:	0
Release:	0.8.20080530.%{__distinit}%{__distvers}
Url:		http://moinmo.in/ThemeMarket/dew
# Source0 converted from unversioned upstream mercurial snapshot at
# http://sheep.art.pl/devel/dew/archive/tip.zip
Source0:	moin-theme-dew-%{version}.tar.bz2
Patch0:		moin-theme-dew-0-missing-icons.patch
License:	GPLv2+
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
Requires:	moin >= 1.6.0
%if "%{pythonver}" == "2.3"
Requires:	python-abi = 2.3
%endif
BuildRequires:	python, symlinks

%description
The dew theme was made in 2006 for a client of the author, Radomir Dopieralski,
who ended up never using it. It was supposed to be a CMS-like site, so the
login link is slightly hidden at the bottom, and you don't see many wiki actions
if you are not logged in. 

%prep
%setup -q
%patch0 -p0

cat << EOF > README.rpm
After installing this package, any newly-created wiki instances should
automatically have the dew theme available.

To make the dew theme available to an existing wiki instance, copy
%{_datadir}/moin/data/plugin/theme/dew.py*
to the data/plugin/theme directory of the wiki instance and do:
chown apache:apache /path/to/wiki/data/plugin/theme/dew.py*
EOF

%build
# Generate normal (.pyc) byte-compiled files.
python -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/moin/htdocs/dew/{css,img}
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/theme
install -p -m 644 css/*.css %{buildroot}%{_datadir}/moin/htdocs/dew/css
install -p -m 644 css/*.png %{buildroot}%{_datadir}/moin/htdocs/dew/css
install -p -m 644 img/*.gif %{buildroot}%{_datadir}/moin/htdocs/dew/img
install -p -m 644 img/*.png %{buildroot}%{_datadir}/moin/htdocs/dew/img
install -p -m 644 dew.py* %{buildroot}%{_datadir}/moin/data/plugin/theme

# Symlink to conflict and renamed icons from modern theme
ln -s ../../modern/img/moin-{conflict,renamed}.png %{buildroot}%{_datadir}/moin/htdocs/dew/img

# Symlink to msie.css from modern theme
ln -s ../../modern/css/msie.css %{buildroot}%{_datadir}/moin/htdocs/dew/css

# Add compat symlink for moin 1.9.0
# (can't do it the other way around as it would break updates)
mkdir -p %{buildroot}%{python_sitelib}/MoinMoin/web/static/htdocs/
ln -s %{buildroot}%{_datadir}/moin/htdocs/dew \
	%{buildroot}%{python_sitelib}/MoinMoin/web/static/htdocs/dew
symlinks -cs %{buildroot}%{python_sitelib}/MoinMoin/web/static/htdocs/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rpm
%{_datadir}/moin/htdocs/dew/
%{_datadir}/moin/data/plugin/theme/dew.py*
%{python_sitelib}/MoinMoin/web/static/htdocs/dew

%changelog
* Thu Oct 13 2011 Paul Howarth <paul@city-fan.org> 0-0.8.20080530
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 0-0.7.20080530
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> 0-0.6.20080530
- Fix dist tag for RHEL-6 Beta

* Thu Dec 31 2009 Paul Howarth <paul@city-fan.org> 0-0.5.20080530
- Add compat symlink to static content from
  %%{python_sitelib}/MoinMoin/web/static/htdocs for moin >= 1.9.0
- BR: symlinks
- Dist tag for Rawhide no longer needs special-casing

* Wed Jul  9 2009 Paul Howarth <paul@city-fan.org> 0-0.4.20080530
- Define RPM macros in global scope
- Use %%{__install} -p to maintain timestamps

* Mon Jul 14 2008 Paul Howarth <paul@city-fan.org> 0-0.3.20080530
- Link to msie.css from modern theme

* Thu Jun 26 2008 Paul Howarth <paul@city-fan.org> 0-0.2.20080530
- Patch dew.py to actually *use* the icons for conflict and renamed

* Thu Jun 26 2008 Paul Howarth <paul@city-fan.org> 0-0.1.20080530
- Symlink missing icons for conflict and renamed to those from the modern theme
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Fri May 30 2008 Paul Howarth <paul@city-fan.org> 0-0.0.20080530
- First RPM package

